package native

import "os"
import "path/filepath"
import "git.tebibyte.media/fspl/fspl/compiler"

func nativeResolver () (*compiler.Resolver, error) {
	resolver := compiler.NewResolver (
		"/usr/local/src/fspl",
		"/usr/src/fspl",
		"/usr/local/incude/fspl",
		"/usr/include/fspl")
	homeDir, err := os.UserHomeDir()
	if err != nil { return nil, err }
	resolver.AddPathFront (
		filepath.Join(homeDir, ".local/src/fspl"),
		filepath.Join(homeDir, ".local/include/fspl"))
	return resolver, nil
}
