// Package native provides a generator target describing the current system.
// This is accomplished using several conditionally compiled source files.
package native

import "git.tebibyte.media/fspl/fspl/generator"

// LLVM supported operating systems (note: capitalization is wrong)
// https://llvm.org/doxygen/Triple_8h_source.html
// GOOS and GOARCH values:
// https://go.dev/doc/install/source#environment

// NativeTarget returns a target describing the current system.
func NativeTarget () generator.Target {
	target := nativeArch()
	target.OS = nativeOS()
	return target
}
